Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.spatial
Interface BBOX

All Superinterfaces:
  Filter, SpatialOperator

    @XmlElement(value="BBOX")
    public interface BBOX

extends SpatialOperator

Spatial operator that evaluates to `true` when the bounding box of the feature's geometry overlaps the bounding box provided in this object's properties. An implementation may choose to throw an exception if one attempts to test features that are in a different SRS than the SRS contained here.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Filter
`EXCLUDE, INCLUDE`

Method Summary
`double` | `getMaxX()` Returns the maximum value for the first coordinate.
`double` | `getMaxY()` Returns the maximum value for the second coordinate.
`double` | `getMinX()` Returns the minimum value for the first coordinate.
`double` | `getMinY()` Returns the minimum value for the second coordinate.
`String` | `getPropertyName()` Returns the name of the geometric property that will be used in this spatial operator.
`String` | `getSRS()` Returns the spatial reference system in which the bounding box coordinates contained by this object should be interpreted.

Methods inherited from interface Filter
`accept, evaluate`

Method Detail

### getPropertyName

    @XmlElement(value="PropertyName")
    String getPropertyName()

  Returns the name of the geometric property that will be used in this spatial operator. This may be null if the default spatial property is to be used.

### getSRS

    String getSRS()

  Returns the spatial reference system in which the bounding box coordinates contained by this object should be interpreted. This string must take one of two forms: either "EPSG:xxxxx" where "xxxxx" is a valid EPSG coordinate system code, or an OGC well-known-text representation of a coordinate system as defined in the OGC Simple Features for SQL specification.

### getMinX

    double getMinX()

  Returns the minimum value for the first coordinate.

### getMinY

    double getMinY()

  Returns the minimum value for the second coordinate.

### getMaxX

    double getMaxX()

  Returns the maximum value for the first coordinate.

### getMaxY

    double getMaxY()

  Returns the maximum value for the second coordinate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.